Subject: who let me in?

From: Keith Bergman <[email-masked]>
Date: Mon, 2 Nov 2009 01:51:35 -0400

I haven't finished coding a game in 19 years, I don't know the first thing
about hardware, and people get mad at me for selling TI stuff on ebay.
Musta been my dashing good looks and impeccable fashion sense.

If anyone's interested in my very new and underdeveloped TI website, click
here: http://orphantech.squarespace.com.  Warning: my development blog will
make frequent diversions from 99/4A programming into realms of fatherhood,
beer drinking, rock and roll, and suchlike.  I don't stay on task well.  :)

Hoping to put some updates up yet tonight, if I can get this pesky freelance
assignment finished and fire up the 99/4A.

Seriously, Tony, thanks for the invite.  I feel a little weird about this
"take our ball and leave" approach but I don't see things improving on the
other group any time soon, unfortunately.

Keith

---

From: mark wills <[email-masked]>
Date: Sun, 1 Nov 2009 21:55:16 -0800 (PST)

I'm a whore, and I'll be all over all 3 groups like an STD!

"Me love you long time!"

>
>From: Keith Bergman <[email-masked]>
>To: [email-masked]
>Sent: Mon, 2 November, 2009 6:51:35
>Subject: [TI994A] who let me in?
>
> >
>
>
>
>  
>I haven't finished coding a game in 19 years, I don't know the first thing about hardware, and people get mad at me for selling TI stuff on ebay.  Musta been my dashing good looks and impeccable fashion sense.
> 
>If anyone's interested in my very new and underdeveloped TI website, click here: http://orphantech. squarespace. com.  Warning: my development blog will make frequent diversions from 99/4A programming into realms of fatherhood, beer drinking, rock and roll, and suchlike.  I don't stay on task well.  :)
> 
>Hoping to put some updates up yet tonight, if I can get this pesky freelance assignment finished and fire up the 99/4A.
> 
>Seriously, Tony, thanks for the invite.  I feel a little weird about this "take our ball and leave" approach but I don't see things improving on the other group any time soon, unfortunately.
> 
>Keith
> 
> > >

---

From: ti99_forever <[email-masked]>
Date: Sun, 1 Nov 2009 21:57:59 -0800 (PST)

I feel sort of like a mutineer... then I think, "Well, it is just another TI group, like the swpb group".

--- On Mon, 11/2/09, Keith Bergman <[email-masked]> wrote:

From: Keith Bergman <[email-masked]>
Subject: [TI994A] who let me in?
To: [email-masked]
Date: Monday, November 2, 2009, 12:51 AM

    

 
 
Keith

---

From: Insane Multitasker <[email-masked]>
Date: Mon, 2 Nov 2009 00:46:28 -0600

The "Downward" game concept is very interesting. :) 

To: [email-masked]
From: [email-masked]
Date: Mon, 2 Nov 2009 01:51:35 -0400
Subject: [TI994A] who let me in?

If anyone's interested in my very new and underdeveloped TI website, click here: http://orphantech.squarespace.com.  Warning: my development blog will make frequent diversions from 99/4A programming into realms of fatherhood, beer drinking, rock and roll, and suchlike.  I don't stay on task well.  :)

 
Keith
  		 	   		  
_________________________________________________________________
Windows 7: It works the way you want.
http://www.microsoft.com/Windows/windows-7/default.aspx?ocid=PID24727::T:WLMTAGL:ON:WL:en-US:WWL_WIN_evergreen2:112009

---

From: Keith Bergman <[email-masked]>
Date: Mon, 2 Nov 2009 02:49:26 -0400

Thanks!  The further I get into it, the more excited I'm getting about it.
Wait'll I write up the blog about how my eight-year-old son (and veteran of
many Pokemon-style walk-around-a-map-and-find-stuff games on his Game Boy
and DS) basically came up with a full-fledged concept for a sequel, with all
kinds of butt-kicking elements, right off the top of his head, after asking
me what I was doing drawing a map on graph paper.  The little snot.  :)

On Mon, Nov 2, 2009 at 2:46 AM, Insane Multitasker <[email-masked]>wrote:

> ------------------------------
> here: http://orphantech.squarespace.com.  Warning: my development blog
> will make frequent diversions from 99/4A programming into realms of
> fatherhood, beer drinking, rock and roll, and suchlike.  I don't stay on
> task well.  :)
>
> Hoping to put some updates up yet tonight, if I can get this pesky
> freelance assignment finished and fire up the 99/4A.
>
> ------------------------------
> Windows 7: It works the way you want. Learn more.<http://www.microsoft.com/Windows/windows-7/default.aspx?ocid=PID24727::T:WLMTAGL:ON:WL:en-US:WWL_WIN_evergreen2:112009>
>
> 
>

---

From: Owen Brand <[email-masked]>
Date: Mon, 2 Nov 2009 08:38:10 -0500

Just read your latest blog on "Downward".  Just so I understand this  
correctly, you are writing this in standard TI BASIC to be runnable on  
a completely unexpanded /4a?  You don't intend to utilize 32k or  
floppy support..... It will be a single program, no A/L support for  
graphics and whatnot?  Is that correct Keith?  I only ask because you  
might be unnecessarily limiting yourself.  This is a very cool game  
concept and I would love
To see it incorporate SPRITEs and have the ability to RUN a new  
program from your main one.  The possibilities are damn near  
endless...  Want to have a true RPG menu option set??  Set your name,  
place of origin, pick an "avatar" (or the TI equivalent thereof).   
Just a few questions.  I am interested in some screenshots, either way!

Owen Brand
**Oprysoft**
Opry99er.com

On Nov 2, 2009, at 1:49 AM, Keith Bergman <[email-masked]> wrote:

> Thanks!  The further I get into it, the more excited I'm getting  
> about it.  Wait'll I write up the blog about how my eight-year-old  
> son (and veteran of many Pokemon-style walk-around-a-map-and-find- 
> stuff games on his Game Boy and DS) basically came up with a full- 
> fledged concept for a sequel, with all kinds of butt-kicking  
> elements, right off the top of his head, after asking me what I was  
> doing drawing a map on graph paper.  The little snot.  :)
>
>
>
>
> On Mon, Nov 2, 2009 at 2:46 AM, Insane Multitasker <[email-masked] 
> > wrote:
>
> I haven't finished coding a game in 19 years, I don't know the first  
> thing about hardware, and people get mad at me for selling TI stuff  
> on ebay.  Musta been my dashing good looks and impeccable fashion  
> sense.
>
> If anyone's interested in my very new and underdeveloped TI website,  
> click here: http://orphantech.squarespace.com.  Warning: my  
> development blog will make frequent diversions from 99/4A  
> programming into realms of fatherhood, beer drinking, rock and roll,  
> and suchlike.  I don't stay on task well.  :)
>
> Seriously, Tony, thanks for the invite.  I feel a little weird about  
> this "take our ball and leave" approach but I don't see things  
> improving on the other group any time soon, unfortunately.
>
> Keith
>
>
> Windows 7: It works the way you want. Learn more.
>
>

---

From: Keith Bergman <[email-masked]>
Date: Mon, 2 Nov 2009 08:59:41 -0500

No, it's gonna run on a standard 32K expanded system, in Extended BASIC.  My
interest in unexpanded game writing was piqued by a discussion over on a
Vic-20 board I've been checking out... (I know, call me a traitor, but they
talk a lot more about programming and less about hardware, so it's
interesting for me).  But TI BASIC is SO poky that I don't think I could
make myself do it.  If I have time after Downward is done, I may try to
write a 16K 'lite" version that'll load off disk or tape, into TI BASIC, but
that's not high on the priority list.

On Mon, Nov 2, 2009 at 8:38 AM, Owen Brand <[email-masked]> wrote:

> correctly, you are writing this in standard TI BASIC to be runnable on a
> completely unexpanded /4a?  You don't intend to utilize 32k or floppy
> support..... It will be a single program, no A/L support for graphics and
> whatnot?  Is that correct Keith?  I only ask because you might be
> unnecessarily limiting yourself.  This is a very cool game concept and I
> would love
> To see it incorporate SPRITEs and have the ability to RUN a new program
> from your main one.  The possibilities are damn near endless...  Want to
> have a true RPG menu option set??  Set your name, place of origin, pick an
> "avatar" (or the TI equivalent thereof).  Just a few questions.  I am
> interested in some screenshots, either way!
>
> Owen Brand
> **Oprysoft**
> Opry99er.com <http://opry99er.com/>
>
>> From: [email-masked] <[email-masked]>

---

From: Owen Brand <[email-masked]>
Date: Mon, 2 Nov 2009 09:04:45 -0500

Ahh, good stuff.  I guess I mixed up the blogs I was reading.  Yea,  
XB... It's gonna be fun, man.  :)

Owen Brand
**Oprysoft**
Opry99er.com

On Nov 2, 2009, at 8:59 AM, Keith Bergman <[email-masked]> wrote:

> No, it's gonna run on a standard 32K expanded system, in Extended  
> BASIC.  My interest in unexpanded game writing was piqued by a  
> discussion over on a Vic-20 board I've been checking out... (I know,  
> call me a traitor, but they talk a lot more about programming and  
> less about hardware, so it's interesting for me).  But TI BASIC is  
> SO poky that I don't think I could make myself do it.  If I have  
> time after Downward is done, I may try to write a 16K 'lite" version  
> that'll load off disk or tape, into TI BASIC, but that's not high on  
> the priority list.
>
>
>
>
> correctly, you are writing this in standard TI BASIC to be runnable  
> on a completely unexpanded /4a?  You don't intend to utilize 32k or  
> graphics and whatnot?  Is that correct Keith?  I only ask because  
> you might be unnecessarily limiting yourself.  This is a very cool  
> game concept and I would love
> endless...  Want to have a true RPG menu option set??  Set your  
> name, place of origin, pick an "avatar" (or the TI equivalent  
> thereof).  Just a few questions.  I am interested in some  
> screenshots, either way!
>
> Owen Brand
> **Oprysoft**
> Opry99er.com
>
>> I haven't finished coding a game in 19 years, I don't know the  
>> first thing about hardware, and people get mad at me for selling TI  
>> stuff on ebay.  Musta been my dashing good looks and impeccable  
>> fashion sense.
>>
>> If anyone's interested in my very new and underdeveloped TI  
>> website, click here: http://orphantech.squarespace.com.  Warning:  
>> my development blog will make frequent diversions from 99/4A  
>> programming into realms of fatherhood, beer drinking, rock and  
>> roll, and suchlike.  I don't stay on task well.  :)
>>
>> Seriously, Tony, thanks for the invite.  I feel a little weird  
>> about this "take our ball and leave" approach but I don't see  
>> things improving on the other group any time soon, unfortunately.
>>
>> Keith
>>
>>

---

From: Keith Bergman <[email-masked]>
Date: Mon, 2 Nov 2009 09:50:48 -0500

Right -- there's kind of a "because it's there" aspect to it.  Obviously, I
could made a fancier game if I learned how to develop it on an Xbox 360...
but that's not what I want to do.  I want to do at least one project that I
can port to 10 or 12 other old machines, even a Bally Astrocade game system
with BASIC cartridge... but I'm sure once I do that, I'll probably never do
it again.  :)

The eventual goal is to learn assembly on a few platforms (probably TI, Vic
20, and C64) and develop bigger, better games for those.  But right now I'm
still getting back into that programming mindset, and making "TI time" in my
day, which is a big task given my work and family situation.  Just having
time to sit for an evening in front of the 99/4A and code is a blessing I
haven't been used to for a long time.  Once that programming time is more
firmly a part of my schedule, I can move on to bigger and better things.
Baby steps!  :)

K

On Mon, Nov 2, 2009 at 9:45 AM, kabldb <[email-masked]> wrote:

>
>
> I would think that's pretty much the point of retro programming - limiting
> yourself. Like if someone chooses to do their graphics on graph paper, then
> that should fine.
>
> One of my most recent projects was a game in TI Basic. I'm pretty sure I
> will stick with assembler in the future.
>
> ;-)
>
> --- In [email-masked] <TI994A%40yahoogroups.com>, Owen Brand
> <owenbrand@...> wrote:
> >
> > I only ask because you might be unnecessarily limiting yourself.
> >
> > Owen Brand
> > **Oprysoft**
> > Opry99er.com
> >
>
> 
>

---

From: Owen Brand <[email-masked]>
Date: Mon, 2 Nov 2009 10:10:03 -0500

i do all my graphics on graph paper too.  :) But I hadn't thought  
about it in that regard.  I merely meant that with the scope of what  
Keith is trying to do, that he might be doing his quite interesting  
game concept a disservice by keeping it in simple BASIC.  But what you  
said makes perfect sense.  Why do ANY of us program on a TI??  :).  
Good observation.

Owen Brand
**Oprysoft**
Opry99er.com

On Nov 2, 2009, at 9:45 AM, "kabldb" <[email-masked]> wrote:

> I would think that's pretty much the point of retro programming -  
> limiting yourself. Like if someone chooses to do their graphics on  
> graph paper, then that should fine.
>
> One of my most recent projects was a game in TI Basic. I'm pretty  
> sure I will stick with assembler in the future.
>
> ;-)
>
> --- In [email-masked], Owen Brand <owenbrand@...> wrote:
> >